SDL_EnumerateProperties(3)

NAME
SDL_EnumerateProperties - Enumerate the properties contained in a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_EnumerateProperties(SDL_PropertiesID props, SDL_EnumeratePropertiesCallback callback, void *userdata);

DESCRIPTION
The callback function is called for each property in the group of properties. The properties are locked during enumeration.

FUNCTION PARAMETERS

props
    the properties to query.

callback
    the function to call for each property.

userdata
    a pointer that is passed to callback .

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.